Bug 37326 - Umrechnung Netzmaske --> CIDR falsch in UMC Network settings angezeigt
Umrechnung Netzmaske --> CIDR falsch in UMC Network settings angezeigt
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Network settings
UCS 4.0
Other Mac OS X 10.1
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-13 16:02 CET by Lutz Willek
Modified: 2015-02-24 08:24 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Usability
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch for CIDR calculation (709 bytes, patch)
2014-12-15 18:54 CET, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lutz Willek 2014-12-13 16:02:18 CET
Hallo,
UCS 4.0-0 errata10, gerade frisch installiert.

Beim Anlegen/verändern einer IP/Netzmaske auf der Weboberfläche wird die korrespondierende CIDR falsch angezeigt.

Beispiel: Bei Eingabe einer NM=255.255.255.128 (/25) wird als CIDR /28 ausgegeben, was aber einer NM=255.255.255.240 entspricht. Das ist zumindest stark verwirrend.

Da ein Bild mehr als 1000 Worte sagt, hier ein kurzes Video dazu: (flash, 3MB)
http://www.screencast.com/t/72uX4NCrldTi

Grüße Lutz Willek
Comment 1 Florian Best univentionstaff 2014-12-15 18:54:00 CET
Created attachment 6533 [details]
patch for CIDR calculation

Vielen Dank für Ihr Feedback! In der Tat ist die Logik zum Berechnen der CIDR falsch.

attached is a patch which fixes the calculation.
Comment 2 Lutz Willek 2015-02-17 00:41:59 CET
Sehr geehrter Herr Best,

Kurze Rückmeldung: Der in comment #1 beschrieben Anzeigefehler tritt auch noch in UCS version is 4.0-1 auf einer gerade frisch installierten Testmaschine auf. 

root@ucs-9586:~# univention-upgrade --check |grep version
Starting univention-upgrade. Current UCS version is 4.0-1 errata84

Der Patch aus comment #2 behebt den Anzeigefehler:
root@ucs-9586:~# patch -p0 <6533-patch /usr/share/univention-management-console-frontend/js/umc/modules/setup/types.js
patching file /usr/share/univention-management-console-frontend/js/umc/modules/setup/types.js

# ### Test auf Weboberfläche (Nach löschen des Cache!) --> erfolgreich


mit freundlichen Grüßen
Lutz Willek
Comment 3 Florian Best univentionstaff 2015-02-17 13:06:38 CET
The patch has been applied in svn r58130.
YAML file 2015-02-17-univention-system-setup.yaml has been added.
Package: univention-system-setup (8.1.66-15)
Comment 4 Johannes Keiser univentionstaff 2015-02-18 14:15:12 CET
Fix works
YAML entry: OK
Comment 5 Moritz Muehlenhoff univentionstaff 2015-02-24 08:24:46 CET
http://errata.univention.de/ucs/4.0/88.html